SellTraces CLI
Submit CLI parser diagnostics
POST
/
api
/
cli
/
telemetry
Submit CLI parser diagnostics
curl --request POST \
--url https://app.rebates.ai/api/cli/telemetry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema": 123,
"deviceId": "<string>",
"cliVersion": "<string>",
"platform": "<string>",
"arch": "<string>",
"command": "<string>",
"diagnostics": [
{
"adapter": "<string>",
"source": "<string>",
"totalEntries": 500000000,
"skippedEntries": 500000000,
"invalidEntries": 500000000,
"eventCount": 500000000,
"traceCount": 500000000,
"rejectedTraces": 500000000,
"unhandledTypes": [
"<string>"
],
"emptyParse": true
}
],
"sentAt": "<string>",
"events": [
{
"name": "<string>",
"properties": {}
}
]
}
'import requests
url = "https://app.rebates.ai/api/cli/telemetry"
payload = {
"schema": 123,
"deviceId": "<string>",
"cliVersion": "<string>",
"platform": "<string>",
"arch": "<string>",
"command": "<string>",
"diagnostics": [
{
"adapter": "<string>",
"source": "<string>",
"totalEntries": 500000000,
"skippedEntries": 500000000,
"invalidEntries": 500000000,
"eventCount": 500000000,
"traceCount": 500000000,
"rejectedTraces": 500000000,
"unhandledTypes": ["<string>"],
"emptyParse": True
}
],
"sentAt": "<string>",
"events": [
{
"name": "<string>",
"properties": {}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema: 123,
deviceId: '<string>',
cliVersion: '<string>',
platform: '<string>',
arch: '<string>',
command: '<string>',
diagnostics: [
{
adapter: '<string>',
source: '<string>',
totalEntries: 500000000,
skippedEntries: 500000000,
invalidEntries: 500000000,
eventCount: 500000000,
traceCount: 500000000,
rejectedTraces: 500000000,
unhandledTypes: ['<string>'],
emptyParse: true
}
],
sentAt: '<string>',
events: [{name: '<string>', properties: {}}]
})
};
fetch('https://app.rebates.ai/api/cli/telemetry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"accepted": 4503599627370495,
"forwarded": true
}{
"ok": true,
"error": "<string>"
}{
"ok": true,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
CLI parser diagnostics and counters.
Required string length:
1 - 128Maximum string length:
32Maximum string length:
32Maximum string length:
32Maximum string length:
64Maximum array length:
200Show child attributes
Show child attributes
Maximum string length:
40Maximum array length:
50Show child attributes
Show child attributes
⌘I
Submit CLI parser diagnostics
